Bug 200142 - [exp-run] [patch] Make liblzma use libmd
Summary: [exp-run] [patch] Make liblzma use libmd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-12 05:45 UTC by Xin LI
Modified: 2020-06-20 21:33 UTC (History)
3 users (show)

See Also:
delphij: exp-run?


Attachments
Revision 282775. (1.87 KB, patch)
2015-05-12 05:45 UTC, Xin LI
no flags Details | Diff
New patch against -HEAD (2.60 KB, patch)
2020-05-14 21:38 UTC, Xin LI
no flags Details | Diff
Updated patch against -HEAD (9.77 KB, patch)
2020-05-23 10:00 UTC, Xin LI
no flags Details | Diff
Patch for ports-mgmt/pkg to fix pkg-static build (1.13 KB, patch)
2020-05-23 10:02 UTC, Xin LI
delphij: maintainer-approval? (portmgr)
Details | Diff
Patch for ports-mgmt/pkg-devel to fix liblzma.pc usage (1.17 KB, patch)
2020-05-29 16:49 UTC, Xin LI
delphij: maintainer-approval? (portmgr)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2015-05-12 05:45:12 UTC
Created attachment 156677 [details]
Revision 282775.

I'd like to request an exp-run with the attached patch so that we can find out how many ports would be affected by it (i.e. linking against liblzma statically).
Comment 1 Xin LI freebsd_committer 2015-05-12 05:45:33 UTC
Assign to portmgr@ for exp-run.
Comment 3 Mathieu Arnold freebsd_committer 2015-06-14 03:19:02 UTC
exp-run ran, assign back to submitter.
Comment 4 Ed Maste freebsd_committer 2018-04-15 00:29:20 UTC
What's next here?
Comment 5 Xin LI freebsd_committer 2020-05-14 21:38:55 UTC
Created attachment 214505 [details]
New patch against -HEAD
Comment 6 Xin LI freebsd_committer 2020-05-14 21:41:55 UTC
Hi,

May I request for a new exp-run just in case this would have broke something?  The new patch is available at https://reviews.freebsd.org/D24805 and attached for your convenience.
Comment 7 Xin LI freebsd_committer 2020-05-22 22:20:59 UTC
Ping?
Comment 8 Xin LI freebsd_committer 2020-05-23 10:00:34 UTC
Created attachment 214775 [details]
Updated patch against -HEAD
Comment 9 Xin LI freebsd_committer 2020-05-23 10:02:35 UTC
Created attachment 214776 [details]
Patch for ports-mgmt/pkg to fix pkg-static build
Comment 10 Antoine Brodin freebsd_committer 2020-05-23 18:33:17 UTC
(In reply to Xin LI from comment #9)
so it was broken?

I don't think that such change that break even pkg are welcome..
Comment 11 Xin LI freebsd_committer 2020-05-23 18:41:53 UTC
(In reply to Antoine Brodin from comment #10)
ports-mgmt/pkg fails to use pkg-config provided linker flags when building static binary because it hardcoded the library list by default, but the dynamically linked binaries are fine (rtld would correctly load libmd).
Comment 12 Antoine Brodin freebsd_committer 2020-05-23 18:43:37 UTC
And I am not sure that removing symbols from Symbol.map is allowed.
Comment 13 Xin LI freebsd_committer 2020-05-23 18:53:02 UTC
(In reply to Antoine Brodin from comment #12)
These are private symbols, removal of private symbols are generally considered as acceptable and we do remove them all the times (r359930, r359460, r341509 are most recent ones for libc).

The removed symbols were never defined in the public headers anyway.
Comment 15 Xin LI freebsd_committer 2020-05-29 16:49:25 UTC
Created attachment 215029 [details]
Patch for ports-mgmt/pkg-devel to fix liblzma.pc usage

Thanks, here is the fix for the build issue
Comment 16 Xin LI freebsd_committer 2020-06-10 23:25:55 UTC
Is there any additional breakage?  I'd like to commit the -HEAD change by next week.
Comment 17 commit-hook freebsd_committer 2020-06-20 21:23:17 UTC
A commit references this bug:

Author: delphij
Date: Sat Jun 20 21:22:55 UTC 2020
New revision: 539750
URL: https://svnweb.freebsd.org/changeset/ports/539750

Log:
  ports-mgmt/pkg: Respect liblzma.pc if available.

  Note that this is meant to be a temporary hack and will be reverted once the
  freebsd/pkg have solved this in the build infrastructure.

  PR:			200142
  MFH:			2020Q2
  Approved by:		portmgr (bapt over IRC)
  Differential Revision:  https://reviews.freebsd.org/D24972

Changes:
  head/ports-mgmt/pkg/Makefile
Comment 18 commit-hook freebsd_committer 2020-06-20 21:23:19 UTC
A commit references this bug:

Author: delphij
Date: Sat Jun 20 21:23:03 UTC 2020
New revision: 539751
URL: https://svnweb.freebsd.org/changeset/ports/539751

Log:
  ports-mgmt/pkg-devel: Respect liblzma.pc if available.

  Note that this is meant to be a temporary hack and will be reverted once the
  freebsd/pkg have solved this in the build infrastructure.

  PR:			200142
  MFH:			2020Q2
  Approved by:		portmgr (bapt over IRC)
  Differential Revision:	https://reviews.freebsd.org/D25053

Changes:
  head/ports-mgmt/pkg-devel/Makefile
Comment 19 commit-hook freebsd_committer 2020-06-20 21:27:21 UTC
A commit references this bug:

Author: delphij
Date: Sat Jun 20 21:26:47 UTC 2020
New revision: 539752
URL: https://svnweb.freebsd.org/changeset/ports/539752

Log:
  MFH: r539750 r539751

  ports-mgmt/pkg: Respect liblzma.pc if available.
  ports-mgmt/pkg-devel: Respect liblzma.pc if available.

  Note that this is meant to be a temporary hack and will be reverted once the
  freebsd/pkg have solved this in the build infrastructure.

  PR:			200142
  Approved by:		portmgr (bapt over IRC)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/ports-mgmt/pkg/Makefile
  branches/2020Q2/ports-mgmt/pkg-devel/Makefile
Comment 20 commit-hook freebsd_committer 2020-06-20 21:32:23 UTC
A commit references this bug:

Author: delphij
Date: Sat Jun 20 21:32:08 UTC 2020
New revision: 362452
URL: https://svnweb.freebsd.org/changeset/base/362452

Log:
  liblzma: Make liblzma use libmd implementation of SHA256.

  MFC after:	2 weeks
  PR:		200142

Changes:
  head/contrib/xz/src/liblzma/check/sha256.c
  head/lib/liblzma/Makefile
  head/lib/liblzma/Symbol.map
  head/lib/liblzma/config.h
  head/share/mk/src.libnames.mk
Comment 21 commit-hook freebsd_committer 2020-06-20 21:32:24 UTC
A commit references this bug:

Author: delphij
Date: Sat Jun 20 21:32:14 UTC 2020
New revision: 362453
URL: https://svnweb.freebsd.org/changeset/base/362453

Log:
  Bump __FreeBSD_version after making liblzma to use libmd implementation
  of SHA256.

  PR:		200142

Changes:
  head/sys/sys/param.h